ConfigResource (Mule ESB 2.2.1 API)
Keywords: org.mule.config.ConfigResource class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config
Class ConfigResource

    java.lang.Object
      org.mule.config.ConfigResource

    public class ConfigResource

extends Object

A ConfigResource holds the url description (or location) and the url stream. It is useful to associate the two for error reporting when the stream cannot be read.

Field Summary
`protected String` | `resourceName`

Constructor Summary
`ConfigResource(String resourceName)`
`ConfigResource(String resourceName, InputStream inputStream)`
`ConfigResource(URL url)`

Method Summary
`boolean` | `equals(Object o)`
`InputStream` | `getInputStream()`
`String` | `getResourceName()`
`URL` | `getUrl()`
`int` | `hashCode()`
`boolean` | `isStreamOpen()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### resourceName

    protected String resourceName

Constructor Detail

### ConfigResource

    public ConfigResource(String resourceName)
                   throws IOException

Throws:
  `IOException`

### ConfigResource

    public ConfigResource(URL url)

### ConfigResource

    public ConfigResource(String resourceName,
                          InputStream inputStream)

Method Detail

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Throws:
    `IOException`

### getUrl

    public URL getUrl()

### getResourceName

    public String getResourceName()

### isStreamOpen

    public boolean isStreamOpen()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.